/*
 * JPA2 entity template for JEE6
 *
 *
 * Takatuka - Template fuer JPA JEE6
 *
 * Moeglichkeiten und Einschraenkungen:
 * - Beziehungen werden abgebildet
 * -- es gibt keine 1:1 Beziehungen
 * -- N:M Beziehungen sind immer bidirektional
 * - Vererbung wird nicht unterstuetzt
 */

package de.ivu.elect.business.staat.entity;

public interface StaatenGruppeBase extends 
de.ivu.elect.jee.entity.customdata.CustomDataEntity<StaatenGruppePK, StaatenGruppeUK>

{

  
  /**
   * getter for primary key wrapper STAATEN_GRUPPE.staaten_gruppe_id
   *
   * @return
   */
  @Override
  StaatenGruppePK getPk();
    

  /**
   * ATTRIBUTE
   */

    

  /**
   * 
   *
   * getter for STAATEN_GRUPPE.BEZEICHNUNG
   *
   */
  java.lang.String getBezeichnung();

  /**
   * 
   *
   * setter for STAATEN_GRUPPE.BEZEICHNUNG
   *
   * @param bezeichnung
   */
  void setBezeichnung(java.lang.String bezeichnung);
      

  /**
   * 
   *
   * getter for STAATEN_GRUPPE.STAATEN_GRUPPE_TYP
   *
   */
  de.ivu.elect.business.staat.entity.StaatenGruppeTyp getStaatenGruppeTyp();

  /**
   * 
   *
   * setter for STAATEN_GRUPPE.STAATEN_GRUPPE_TYP
   *
   * @param staatenGruppeTyp
   */
  void setStaatenGruppeTyp(de.ivu.elect.business.staat.entity.StaatenGruppeTyp staatenGruppeTyp);
  
/**
 * Beziehungen N:1 unidirektional
 */

  /**
   * 
   */
  void setCustomDataStorage(de.ivu.elect.business.customdata.entity.CustomDataStorage customDataStorage);

  /**
   * 
   */
  de.ivu.elect.business.customdata.entity.CustomDataStorage getCustomDataStorage();



  /**
   * 
   */
  void setWahltermin(de.ivu.elect.business.wahl.entity.Wahltermin wahltermin);

  /**
   * 
   */
  de.ivu.elect.business.wahl.entity.Wahltermin getWahltermin();



  /**
   * 
   */
  void setWahl(de.ivu.elect.business.wahl.entity.Wahl wahl);

  /**
   * 
   */
  de.ivu.elect.business.wahl.entity.Wahl getWahl();



/**
 * Beziehungen N:1 bidirektional
 */


/**
 * Beziehungen 1:N unidirektional (nicht unterstuetzt)
   */

/**
 * Beziehungen 1:N bidirektional
   */

/**
 * Beziehungen N:M bidirektional nicht selbstreferenzierend
   */

  /**
  * getter muss read-only verwendet werden, da die Beziehung auf der anderen Seite nicht aktualisiert wird!
  */
  java.util.Set<de.ivu.elect.business.staat.entity.Staat> getStaats();

 /**
  * Hinzufuegen von de.ivu.elect.business.staat.entity.Staat
  */
  void addStaat(de.ivu.elect.business.staat.entity.Staat staat);

  /**
  * Entfernen von de.ivu.elect.business.staat.entity.Staat
  */
  void removeStaat(de.ivu.elect.business.staat.entity.Staat staat);

 /**
  * Entfernen von allen  de.ivu.elect.business.staat.entity.Staat
  */
  void removeAllStaats();


/**
 * Beziehungen N:M bidirektional selbstreferenzierend
   */
}
